# SIMREF Version 2.6 (15-Jan-1998)
# bash shell script

# Harald Ritter, Joerg Ihringer
# Institut fuer Kristallographie
# der Universitaet Tuebingen
# Charlottenstrasse 33
# Germany
# Tel: +49(0)7071/29-76389
# E-mail: harald.ritter@uni-tuebingen.de

echo 'This is SIMREF 2.6 (1999)'

# Test input:
if [ $# = 1 ]; then
   inpfile=$1
   jobtyp="r"
elif [ $# = 2 ]; then
   inpfile=$2 
   if [ "$1" = "-r" ]; then
      jobtyp="r"
   elif [ "$1" = "-m" ]; then
      jobtyp="m"
   else
      echo 'simref: illegal option'
   fi
else
  echo 'Usage: simref [-option] filename'
  echo ' -r  Rietveld refinement (default)'
  echo ' -m  Filmlift data refinement'
  exit
fi

# Start SIMREF:
if [ -e ${inpfile} ]; then
   if [ "${jobtyp}" = "r" ]; then
      echo ${inpfile} | simref26
   else
      i=0
      DAT="sim.dat"
      file=`dirname $inpfile`/`basename $inpfile .inp`
      for datfile in *.duo; do
          let i=i+1
          echo
          echo "  Data set" $i : ${datfile}
          cp ${datfile} ${DAT}
          echo ${inpfile} | simref26
          echo "  Writing on file" $file.met
          echo $inpfile | mettab
          mv $file.cyc $file$i.cyc
      done
      rm -f ${DAT}
   fi
else
   echo simref: cannot open input file ${inpfile}
fi
